# Interface methods for submodule: BinaryMaskToNarrowBandPointSetFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToMeshFilterProxy as _ImageToMeshFilterProxy


# Interface methods for class: BinaryMaskToNarrowBandPointSetFilter
class BinaryMaskToNarrowBandPointSetFilterProxy(_ImageToMeshFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput(self, inputImage) -> None:
		""""""
		...

	def SetBandWidth(self, _arg: float) -> None:
		""""""
		...

	def GetBandWidth(self) -> float:
		""""""
		...

